BoolParameter Class Reference

`#include <BoolParameter.h>`

Inheritance diagram for BoolParameter:

## Public Member Functions

| BoolParameter (const string &name, const string &description, bool defaultValue)
bool | getValue () const
void | setValue (bool value)
| operator bool () const
void | operator= (bool value)
Public Member Functions inherited from Parameter
| Parameter (const string &name, const string &description)
virtual | ~Parameter ()
const string & | getName () const
const string & | getDescription () const
string | getArgumentType () const
string | getValueAsString () const
void | appendToDescription (const char *str)
void | processArguments (const char **args, size_t argCount)

## Private Member Functions

virtual string | doGetArgumentType () const
virtual string | doGetValueAsString () const
virtual pair< size_t, size_t > | doGetArgumentCountRange () const
virtual void | doProcessArguments (const char **args, size_t argCount)

## Private Attributes

bool | _value

## Detailed Description

Definition at line 24 of file BoolParameter.h.

## Constructor & Destructor Documentation

## BoolParameter()

BoolParameter::BoolParameter | ( | const string & | name,
|  | const string & | description,
|  | bool | defaultValue )

Definition at line 23 of file BoolParameter.cpp.

## Member Function Documentation

## doGetArgumentCountRange()

pair< size_t, size_t > BoolParameter::doGetArgumentCountRange | ( |  | ) | const

private virtual

Implements Parameter.

Definition at line 41 of file BoolParameter.cpp.

## doGetArgumentType()

string BoolParameter::doGetArgumentType | ( |  | ) | const

private virtual

Implements Parameter.

Definition at line 30 of file BoolParameter.cpp.

## doGetValueAsString()

string BoolParameter::doGetValueAsString | ( |  | ) | const

private virtual

Implements Parameter.

Definition at line 34 of file BoolParameter.cpp.

## doProcessArguments()

void BoolParameter::doProcessArguments | ( | const char ** | args,
|  | size_t | argCount )

private virtual

Implements Parameter.

Definition at line 45 of file BoolParameter.cpp.

## getValue()

bool BoolParameter::getValue | ( |  | ) | const

inline

Definition at line 30 of file BoolParameter.h.

## operator bool()

BoolParameter::operator bool | ( |  | ) | const

inline

Definition at line 33 of file BoolParameter.h.

## operator=()

void BoolParameter::operator= | ( | bool | value | ) |

inline

Definition at line 34 of file BoolParameter.h.

## setValue()

void BoolParameter::setValue | ( | bool | value | ) |

inline

Definition at line 31 of file BoolParameter.h.

## Member Data Documentation

## _value

bool BoolParameter::_value

private

Definition at line 42 of file BoolParameter.h.

The documentation for this class was generated from the following files:

- src/BoolParameter.h
- src/BoolParameter.cpp